> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# genericperson

> List of persons with mail. Supports Selection(any type), project and associate. Uses an inner provider <see cref="T:SuperOffice.CRM.Lists.PersonListGenericContactProjectProvider" />.

## "genericperson" MDO List

List of persons with mail. Supports Selection(any type), project and associate.
Uses an inner provider <see cref="T:SuperOffice.CRM.Lists.PersonListGenericContactProjectProvider" />.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericPersonListProvider">GenericPersonListProvider</see> class.
The name of the MDO list is 'genericperson'.

## Additional Attributes

| Description                    | Name               | Example Value |
| ------------------------------ | ------------------ | ------------- |
| User-group (-2 for all groups) | associategroup\_id | 12            |
| Persons in the given selection | selection\_id      | 12            |
| Members of the given project   | project\_id        | 12            |

Separator: ;

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/genericperson
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("genericperson", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "genericpersonheadings"
* "genericpersonheadingswithallitem"
* "genericpersonheadingswithallitemwithnoselection"
* "genericpersonheadingswithnoselection"
* "genericpersonwithallitem"
* "genericpersonwithallitemwithnoselection"
* "genericpersonwithnoselection"


## Related topics

- [genericpersonwithmail](/en/api/mdo-providers/reference/genericpersonwithmail.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
